import glob
from netCDF4 import Dataset
import numpy as np
import copy

species_dirs = sorted(glob.glob('daily/*'))

selected_qa = np.array([0,1,2,3,6],dtype=np.int)

for species_dir in species_dirs:
    species = species_dir.split('/')[-1]
    print(species)    

    try:
        a = Dataset('{}/{}_201701.nc'.format(species_dir,species))
        n_stations = a['station_reference'][:].shape[0]
        if n_stations < 20:
            max_stations = copy.deepcopy(n_stations)
        else:
            max_stations = 20
        filtered_data = a[species][:]
        filtered_data[np.isin(a['qa'][:,:,:],selected_qa).any(axis=2)] = np.NaN 
        print('jan', 'units:{}'.format(a[species].units), 'n_stations:{}'.format(n_stations))
        print('max: ',-np.sort(-np.nanmax(filtered_data,axis=1))[:max_stations])
        print('median: ',-np.sort(-np.nanmedian(filtered_data,axis=1))[:max_stations])
        print('min: ',np.sort(np.nanmin(filtered_data,axis=1))[:max_stations])
    except:
        pass
 
    try:
        a = Dataset('{}/{}_201707.nc'.format(species_dir,species))
        n_stations = a['station_reference'][:].shape[0]
        if n_stations < 20:
            max_stations = copy.deepcopy(n_stations)
        else:
            max_stations = 20
        filtered_data = a[species][:]
        filtered_data[np.isin(a['qa'][:,:,:],selected_qa).any(axis=2)] = np.NaN
        print('jul', 'units:{}'.format(a[species].units), 'n_stations:{}'.format(n_stations))
        print('max: ',-np.sort(-np.nanmax(filtered_data,axis=1))[:max_stations])
        print('median: ',-np.sort(-np.nanmedian(filtered_data,axis=1))[:max_stations])
        print('min: ',np.sort(np.nanmin(filtered_data,axis=1))[:max_stations])
    except:
        pass

    print()

